
// ===========Oooo==========================================Oooo========
// =  Copyright (C) 2014-2017 Gowin Semiconductor Technology Co.,Ltd.
// =                     All rights reserved.
// =====================================================================
//
//  __      __      __
//  \ \    /  \    / /   [File name   ] uart_slave_top.v
//   \ \  / /\ \  / /    [Description ] UART Slave Model
//    \ \/ /  \ \/ /     [Timestamp   ] Wednesday September 04 10:00:30 2017
//     \  /    \  /      [version     ] 1.0.0
//      \/      \/       
//
// ===========Oooo==========================================Oooo========
// Code Revision History :
// --------------------------------------------------------------------
// Ver: | Author |Mod. Date |Changes Made:
// V1.0 | XX     |09/13/17  |Initial version
// ===========Oooo==========================================Oooo========
`include "uart_slave_defines.v"

`timescale  1 ns    /   1 ps

module uart_slave_top (
    sclk,
    rst_n,
    txd,
    rxd
);

    input       sclk;
    input       rst_n;
    input       rxd;
    output      txd;

    wire        fram_end;
    wire [`DATA_BIT-1:0]  trans_data;

/***********************************************
*   uart slave receive module
***********************************************/
    uart_slave_rx   u_uart_slave_rx (
        .sclk           (   sclk                ),
        .rst_n          (   rst_n               ),
        .rx             (   rxd                 ),
        .rx_fram_end    (   fram_end            ),
        .data_rx        (   trans_data          )
    );  

/**********************************************
*   uart slave transmit module
**********************************************/
    uart_slave_tx   u_uart_slave_tx (
        .sclk           (   sclk                ),
        .rst_n          (   rst_n               ),
        .data_tx        (   trans_data          ),
        .tx_fram_end    (   fram_end            ),
        .tx             (   txd                 )
    ); 

endmodule